﻿@model ProductAddViewModel
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
    Layout = "~/Views/_AdminLayout.cshtml";
}

<h2>Add a product</h2>

<form asp-controller="Admin" asp-action="Add" method="post">
    <div >
    <div class="form-group">
    <label asp-for="Product.ProductName"></label>
    <input asp-for="Product.ProductName" class="form-control" placeholder="Product Name"/>
    <span asp-validation-for="Product.ProductName"></span>
    </div>
    <div class="form-group">
    <label asp-for="Product.CategoryId"></label>
    @*<input asp-for="Product.CategoryId" class="form-control" placeholder="Category Id" />*@
    <select asp-for="Product.CategoryId" class="form-control" asp-items="@(new SelectList(Model.Categories,"CategoryId","CategoryName"))" ></select>
    <select></select>
    <span asp-validation-for="Product.CategoryId"></span>
    </div>
    <div class="form-group">
    <label asp-for="Product.UnitPrice"></label>
    <input asp-for="Product.UnitPrice" class="form-control" placeholder="Unit Price" />
    <span asp-validation-for="Product.UnitPrice"></span>
    </div>
    <div class="form-group">
    <label asp-for="Product.UnitsInStock"></label>
    <input asp-for="Product.UnitsInStock" class="form-control" placeholder="Units In Stock" />
    <span asp-validation-for="Product.UnitsInStock"></span>
    </div>
    <input type="submit" value="Add" class="btn btn-sm btn-outline-success"/>
    </div>
</form>